<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url		: "md_prod/brg_rusak/edit.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
				$("#txt_kodest").val(data.kodest);
				$("#txt_namast").val(data.namast);
				$("#txt_satuan").val(data.satuan);
				$("#txt_jmlunit").val(data.jmlunit);
				$("#txt_hgpokok").val(data.hgpokok);
				$("#txt_nilaikr").val(data.nilaikr);
				$("#txt_ket").val(data.ket);
			}
		});		
	}

	function hapus_data(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "md_prod/brg_rusak/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				cek_nourut();
				tampil_data_detail();
			}
		});
		}
	}
	
	function cek_nourut(){
		var kode = $("#txt_kode").val();
				
		$.ajax({
			type	: "POST",
			url		: "md_prod/brg_rusak/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){				
				$("#txt_nourut").val(data.nourut);		
			}
		});
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("md_prod/brg_rusak/tampil_data_detail.php?kode="+kode);
	}
	
</script>
<?php
include '../../inc/inc.koneksi.php';
$kode	= $_GET['kode'];
echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Barang</th>
			<th>Satuan</th>
			<th>Harga Pokok</th>
			<th>Jumlah Kerusakan</th>
			<th>Nilai Kerusakan</th>
			<th>Keterangan</th>
			<th>Aksi</th>
		</tr>";
		$sql = "SELECT * FROM jurkrsb WHERE kode_kb='$kode' ORDER BY kode_kb";
						
		$query = mysql_query($sql);		
		$no=1;
		$total=0;
		while($r=mysql_fetch_array($query)){
			$kode 	= $r['kode_kb'].'-'.$r['no_urut'];
			$total	= $total+$r['nilai_kr'];
			
			echo "<tr>
					<td align='center'>$no</td>
					<td>$r[kode_st]</td>
					<td>$r[nama_st]</td>
					<td>$r[satuan]</td>
					<td align='right'>".number_format($r['hg_pokok'],2)."</td>
					<td align='right'>".number_format($r['jml_unit'],2)."</td>
					<td align='right'>".number_format($r['nilai_kr'],2)."</td>
					<td >$r[keterangan]</td>		
					<td align='center'>
						<a href='javascript:void(0)' onClick=\"edit_data('$kode')\">
						<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' ></a>					
						<a href='javascript:void(0)' onClick=\"hapus_data('$kode')\">
						<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' ></a>					
					</td>
				</tr>";
			$no++;			
		}
		
		echo "<tr>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td align='right'>Total</td>
				<td align='right'>".number_format($total,2)."</td>
			</tr>";		
	echo "</table>";
?>